lv.eparaksts.pdf

## Class PdfDocumentProperties

- java.lang.Object
- - lv.eparaksts.pdf.PdfDocumentProperties

-     public class PdfDocumentProperties
      extends Object

  Represents the PDF document properties.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthor()` Returns the author of the document or null if no author exists.
    `Date` | `getCreationDate()` Returns the creation date of the document or null if no creation date exists.
    `String` | `getCreator()` Returns the creator of the document or null if no creator exists.
    `String` | `getKeywords()` Returns the keywords of the document or null if no keywords exists.
    `Date` | `getModificationDate()` Returns the modification date of the document or null if no modification date exists.
    `String` | `getProducer()` Returns the producer of the document or null if no producer exists.
    `String` | `getSubject()` Returns the subject of the document or null if no subject exists.
    `String` | `getTitle()` Returns the title of the document or null if no title exists.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getTitle

          public String getTitle()

      Returns the title of the document or null if no title exists.
      Returns:
        the title of the document.

    - #### getAuthor

          public String getAuthor()

      Returns the author of the document or null if no author exists.
      Returns:
        the author of the document.

    - #### getSubject

          public String getSubject()

      Returns the subject of the document or null if no subject exists.
      Returns:
        the subject of the document.

    - #### getKeywords

          public String getKeywords()

      Returns the keywords of the document or null if no keywords exists.
      Returns:
        the keywords of the document.

    - #### getCreator

          public String getCreator()

      Returns the creator of the document or null if no creator exists.
      Returns:
        the creator of the document.

    - #### getProducer

          public String getProducer()

      Returns the producer of the document or null if no producer exists.
      Returns:
        the producer of the document.

    - #### getCreationDate

          public Date getCreationDate()

      Returns the creation date of the document or null if no creation date exists.
      Returns:
        the creation date of the document.

    - #### getModificationDate

          public Date getModificationDate()

      Returns the modification date of the document or null if no modification date exists.
      Returns:
        the modification date of the document.

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO